# wxMessageOutputDebug Class Reference
[Logging]

`#include </home/work/projects/wx/2.9/wx/interface/wx/msgout.h>`

Inheritance diagram for wxMessageOutputDebug:
[legend]

## Detailed Description

Output messages to the system debug output channel.

Under MSW this class outputs messages to the so called debug output. Under the other systems it simply uses the standard error stream.

##

Library: wxBase
Category: Logging

## Public Member Functions

| wxMessageOutputDebug ()
| Default constructor.

List of all members.

## Constructor & Destructor Documentation

wxMessageOutputDebug::wxMessageOutputDebug | ( |  | ) |

Default constructor.

|  | [ top ]